# Contributing to HydDowm
HydDown loves your input! We want to make contributing to this project as easy and transparent as possible, whether it's:

- Reporting a bug
- Support/questions
- Discussing the current state of the code
- Submitting a fix
- Proposing new features
- Becoming a maintainer

When contributing to this repository, please first discuss the change you wish to make via filling an issue, email, or any other method with the owners of this repository before making a change. 

Please note we have a [code of conduct](https://github.com/andr1976/HydDown/blob/4665472fc1a1baf60dcdc8485ed2a049ff7273fe/CODE_OF_CONDUCT.md), please follow it in all your interactions with the project.

## Support
For questions, assistance using the code or special considerations please file an [issues](https://github.com/andr1976/HydDown/issues) and add the label 'question' or 'help wanted'

## We Develop with Github
HydDown uses github to host code, to track issues and feature requests, as well as accept pull requests.

Pull requests are the best way to propose changes to the codebase. We actively welcome your pull requests:

1. Fork the repository from 'main' to your own Github account
2. Clone the project to your machine
3. Create a branch locally with a succinct but descriptive name
3. Commit changes to the branch
4. Push changes to your fork
5. If you've added code that should be tested, add tests.
6. If you've changed APIs added functionality, update the documentation.
8. Ensure the test suite passes (handled by github action).
9. Make sure your code lints (handled by github action).
10. Open a PR in our repository

## Any contributions you make will be under the MIT Software License
In short, when you submit code changes, your submissions are understood to be under the same [MIT License](http://choosealicense.com/licenses/mit/) that covers the project. 

## Report bugs using Github's [issues](https://github.com/andr1976/HydDown/issues)
We use GitHub issues to track public bugs. Report a bug by [opening a new issue](https://github.com/andr1976/HydDown/issues/new/choose); it's that easy!
Add the label 'bug' to the filed issue - which may be removed by the maintainer if this is actually not a bug, but e.g. enhancement/feature request. 

## Write bug reports with detail, background, and sample code
**Great Bug Reports** tend to have:

- A quick summary and/or background
- Steps to reproduce
  - Be specific!
  - Give sample code if you can. 
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

## Use a Consistent Coding Style

## License
By contributing, you agree that your contributions will be licensed under its MIT License.

## References
This document was adapted from the open-source contribution guidelines for [Facebook's Draft](https://github.com/facebook/draft-js/blob/a9316a723f9e918afde44dea68b5f9f39b7d9b00/CONTRIBUTING.md) as well as from [Auth0](https://github.com/auth0/open-source-template/blob/master/GENERAL-CONTRIBUTING.md) and [briandk](https://gist.github.com/briandk/3d2e8b3ec8daf5a27a62) 
